//
//  IOBSHttpManager.h
//  IOBSSDK
//
//  Created by Nicholas on 15/10/31.
//  Copyright © 2015年 Nicholas. All rights reserved.
//

#import <Foundation/Foundation.h>
#import "IOBSConfig.h"
#import "IOBSHttpDelegate.h"
#import "IOBSConfiguration.h"


@interface IOBSHttpManager : NSObject<IOBSHttpDelegate,NSURLSessionDelegate,NSURLSessionTaskDelegate>

@property (nonatomic, copy)IOBSUploadOption *uploadOption;

- (instancetype)initWithTimeout:(UInt32)timeout
                   urlConverter:(IOBSUrlConvert)converter
                            dns:(IOBSDnsManager *)dns backupHosts:(NSArray *)hosts;




@end
