//
//  IOBSResumeUpload.h
//  IOBSSDK
//
//  Created by Nicholas on 15/10/31.
//  Copyright © 2015年 Nicholas. All rights reserved.
//

#import <Foundation/Foundation.h>
#import "IOBSFileDelegate.h"
#import "IOBSHttpDelegate.h"
#import "IOBSUploadManager.h"
#import "IOBSHttpManager.h"
#import "IOBSRecorderDelegate.h"

@interface IOBSResumeUpload : NSObject
@property (nonatomic, copy) NSString *coverid;
@property (nonatomic, assign) BOOL cancel;
@property (nonatomic, copy) IOBSTokenGeter tokenGeter;

- (instancetype) initWithFile:(id <IOBSFileDelegate> )file
                         data:(NSData *)data
                   withBucket:(NSString *)bucket
                 withFileName:(NSString *)name
                      withKey:(NSString *)key
                    withToken:(NSString *)token
        withCompletionHandler:(IOBSUploadCompletionHandler)completeBlock
                   withOption:(IOBSUploadOption *)option
              withHttpManager:(id <IOBSHttpDelegate> )http
                   backupHost:(NSArray *)hosts;

//cxfix
// e.g baseUrl @"http://iobs.pingan.com/"
- (instancetype) initWithFile:(id <IOBSFileDelegate> )file
                         data:(NSData *)data
                   withBucket:(NSString *)bucket
                 withFileName:(NSString *)name
                      withKey:(NSString *)key
        withCompletionHandler:(IOBSUploadCompletionHandler)block
                   withOption:(IOBSUploadOption *)option
              withHttpManager:(id <IOBSHttpDelegate> )http
                  withBaseUrl:(NSString *)baseUrl
                   backupHost:(NSArray *)hosts;


- (void)run;

@end
