//
//  IOBSDeleteManager.h
//  lobsSDK
//
//  Created by chenjie on 15/10/20.
//  Copyright © 2015年 PingAn. All rights reserved.
//

#import <Foundation/Foundation.h>

typedef void (^IOBSDeleteCompletionHandler)(NSInteger code, NSError *error);
@interface IOBSDeleteManager : NSObject


/**
 @method        deleteFileWithUrl:completionHandler
 
 @abstract      删除文件方法
 @params        urlString 请求路径
 @params        handler 回调
 */

- (void)deleteFileWithUrl:(NSString *)urlString
        completionHandler:(IOBSDeleteCompletionHandler) handler;


@end
