//
//  IOBSFederationToken.h
//  ObsTest
//
//  Created by zengpeng006 on 2017/7/31.
//  Copyright © 2017年 zengpeng006. All rights reserved.
//

#import <Foundation/Foundation.h>

@interface IOBSUploadToken : NSObject

@property (nonatomic, copy) NSString * Authorization;
@property (nonatomic, copy) NSString * date;

//获取到签名信息后设置token的签名和时间字符串(同时结束线程等待waitUntilFinished)
- (void)setAuthorization:(NSString *)Authorization;
- (void)setDate:(NSString *)date;
//线程等待，等待token返回
- (void)waitUntilFinished;
//获取签名信息失败，如果调用了waitUntilFinished，需要调用setError
- (void)setError:(NSError *)error;
@end
